org.apache.felix.threaddump.internal.jdk6

## Class Jdk16ThreadDumper

- java.lang.Object
- - org.apache.felix.threaddump.internal.jdk5.Jdk15ThreadDumper
  - - org.apache.felix.threaddump.internal.jdk6.Jdk16ThreadDumper

All Implemented Interfaces:
  ThreadDumper

    public final class Jdk16ThreadDumper
    extends Jdk15ThreadDumper

`ThreadDumper` implementation which relies on JMX APIs in JDK1.5.

### Constructor Summary

Constructors
Constructor and Description
`Jdk16ThreadDumper()`

### Method Summary

Methods
`protected long[]` `findDeadlockedThreads(java.lang.management.ThreadMXBean threadMXBean)`
`protected java.lang.management.ThreadInfo[]` `getThreadInfo(java.lang.management.ThreadMXBean threadMXBean)`
`protected void` `printDeadlockedThreadInfo(ThreadWriter threadWriter, java.lang.management.ThreadInfo info)`
`protected void` `printStackTrace(ThreadWriter threadWriter, java.lang.management.ThreadInfo info)`

### Methods inherited from class org.apache.felix.threaddump.internal.jdk5.Jdk15ThreadDumper

`printThreads`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Jdk16ThreadDumper

    public Jdk16ThreadDumper()

### Method Detail

#### getThreadInfo

    protected java.lang.management.ThreadInfo[] getThreadInfo(java.lang.management.ThreadMXBean threadMXBean)

Overrides:
  `getThreadInfo` in class `Jdk15ThreadDumper`

#### findDeadlockedThreads

    protected long[] findDeadlockedThreads(java.lang.management.ThreadMXBean threadMXBean)

Overrides:
  `findDeadlockedThreads` in class `Jdk15ThreadDumper`

#### printStackTrace

    protected void printStackTrace(ThreadWriter threadWriter,
                       java.lang.management.ThreadInfo info)

Overrides:
  `printStackTrace` in class `Jdk15ThreadDumper`

#### printDeadlockedThreadInfo

    protected void printDeadlockedThreadInfo(ThreadWriter threadWriter,
                                 java.lang.management.ThreadInfo info)

Overrides:
  `printDeadlockedThreadInfo` in class `Jdk15ThreadDumper`